Evolution-Data-Server Manual: Private: org.gnome.evolution.dataserver.Authenticator

## org.gnome.evolution.dataserver.Authenticator org.gnome.evolution.dataserver.Authenticator — Authentication interface |

## Methods

    Ready    (IN  s encryption_key);
    Cancel   ();
    Accepted ();
    Rejected ();

## Signals

    Authenticate (s encrypted_secret);
    Dismissed    ();
    ServerError  (s name,
                  s message);

## Properties

    WithoutPassword  readwrite  b

## Description

Interface for an authentication session.

## Method Details

### The Ready() method

    Ready (IN  s encryption_key);

Indicates the client is ready to receive Response signals. If this method is not called within a short duration after the object path for this interface is exported, the object path will be unexported.

`IN s `encryption_key``: | Implementation defined encryption key

### The Cancel() method

    Cancel ();

Indicates the client no longer wishes to authenticate. Any active or pending authentication prompt will be cancelled, and the object path for this interface will be unexported.

The object path for this interface will be unexported.

This method ends the authentication session.

### The Accepted() method

    Accepted ();

Indicates the most-recently-passed secret was accepted. If the user wishes, the secret can be copied to a keyring for permanent storage at this point.

The object path for this interface will be unexported.

This method ends the authentication session.

### The Rejected() method

    Rejected ();

Indicates the most-recently-passed secret was rejected. The client should continue listening for a new Authenticate signal.

## Signal Details

### The "Authenticate" signal

    Authenticate (s encrypted_secret);

Emitted when the user has responded to an authentication prompt.

The client should attempt to authenticate using the provided secret and then respond by calling either Accepted, Rejected or Cancel. The Authenticate signal will not be emitted again until the client has responded.

If at any time the user cancels the authentication prompt, the Dismissed signal is emitted immediately.

`s `encrypted_secret``: | Encrypted secret string

### The "Dismissed" signal

    Dismissed ();

Emitted when the user has declined to provide a secret.

Any further attempts to authenticate the Source will emit a Dismissed signal without interrupting the user. This state persists until the ResetAuthDismissal method is called.

This signal ends the authentication session.

### The "ServerError" signal

    ServerError (s name,
                 s message);

Emitted when there was a server-side error. A g_dbus_error_new_for_dbus_error() can be used to reconstruct original #GError from `name` and `message`.

This signal ends the authentication session.

`s `name``: | a #GError name encoded with g_dbus_error_encode_gerror().
`s `message``: | a #GError::message

## Property Details

### The "WithoutPassword" property

    WithoutPassword  readwrite  b

Whether to try to authenticate without a password first.